FreeMat

- Main Page
- Related Pages

vtkGeoRandomGraphSource

Section: Visualization Toolkit Geo Vis Classes

# Usage

Generates a graph with a specified number of vertices, with the density of edges specified by either an exact number of edges or the probability of an edge. You may additionally specify whether to begin with a random tree (which enforces graph connectivity).

The filter also adds random vertex attributes called latitude and longitude. The latitude is distributed uniformly from -90 to 90, while longitude is distributed uniformly from -180 to 180.

To create an instance of class vtkGeoRandomGraphSource, simply invoke its constructor as follows

      obj = vtkGeoRandomGraphSource

# Methods

The class vtkGeoRandomGraphSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGeoRandomGraphSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGeoRandomGraphSource = obj.NewInstance ()`
- `vtkGeoRandomGraphSource = obj.SafeDownCast (vtkObject o)`